post
https://sandbox.saner.secpod.com/AncorWebService/perform
List installed applications for every device in an account, or for named hosts.
This method gets all the installed applications on the devices that exist in an Account. Details such as the application name, version, publisher, and host details are returned as a response when the ‘getInstalledApplications’ API is executed. The API will fetch applications installed on all the devices in the Account if the key ‘hostnames’ is not provided in the request body.
| Key Name | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountname | Name of the account for which installed applications are requested | Yes | string |
| hostnames | List of hostnames to fetch applications for specific devices (if not provided, all devices are considered) | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.getInstalledApplications(
accountname="DemoAccount1"
)
print(response)
client.close()Requires Python 3.9 or later.